# Set a custom API `PUT /v1/credential-profiles/{profile}/custom-apis/{name}` **In this build:** Real. **Scope:** `credential.write` **CLI:** `harebox ai api set` ## Request: `CustomApi` | Field | Type | Notes | |---|---|---| | `base_url` (required) | `string` | | | `secret` | `string` | | | `header` | `string` | | ## Response: 200 `CustomApi` | Field | Type | Notes | |---|---|---| | `base_url` (required) | `string` | | | `secret` | `string` | | | `header` | `string` | | Errors follow [one format](../errors.html).